apiVersion: apps/v1
kind: Deployment
metadata:
  name: jenkins-deployment
  namespace: default
spec:
  selector:
    matchLabels:
      app: jenkins

  replicas: 1

  template:
    metadata:
      labels:
        app: jenkins

    spec:
      tolerations:
      - key: "jenkins"
        operator: "Equal"
        value: "jenkinsGroup"
        effect: "NoSchedule"
        
      containers:
      - name: jenkins
        image: jenkins/jenkins:lts-jdk11
        resources:
          limits:
            memory: "512Mi"
            cpu: "1000m"
        ports:
        - name: httpport
          containerPort: 8080
        - name: jnlpport
          containerPort: 50000

      #   volumeMounts:
      #     - name: jenkins-data
      #       mountPath: /var/jenkins_home

      # volumes:
      #   - name: jenkins-data
      #     persistentVolumeClaim:
      #         claimName: jenkins-pv-claim